| QxOrm 1.2.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Classes | Typedefs | Functions | Variables
qx::memory Namespace Reference
QxMemLeak : QxOrm library memory leak detection (by Wu Yongwei)

QxOrm library memory leak detection (by Wu Yongwei) More...

## Classes
class | bool_array
class | class_level_lock
struct | dereference
struct | dereference_less
struct | delete_object
struct | output_object
class | __debug_new_recorder
class | __debug_new_counter
class | fast_mutex
class | fast_mutex_autolock
class | fixed_mem_pool
class | mem_pool_base
class | object_level_lock
struct | __nvwa_compile_time_error< true >
class | static_mem_pool_set
class | static_mem_pool
## Typedefs
typedef unsigned char | BYTE
typedef double | pctimer_t
## Functions
QX_DLL_EXPORT int | check_leaks ()
QX_DLL_EXPORT int | check_mem_corruption ()
__inline pctimer_t | pctimer (void)
template<class _Container , class _InputIter >
_Container & | set_assign_union (_Container &__dest, _InputIter __first, _InputIter __last)
template<class _Container , class _InputIter , class _Compare >
_Container & | set_assign_union (_Container &__dest, _InputIter __first, _InputIter __last, _Compare __comp)
template<class _Container , class _InputIter >
_Container & | set_assign_difference (_Container &__dest, _InputIter __first, _InputIter __last)
template<class _Container , class _InputIter , class _Compare >
_Container & | set_assign_difference (_Container &__dest, _InputIter __first, _InputIter __last, _Compare __comp)
## Variables
bool | new_autocheck_flag
bool | new_verbose_flag
FILE * | new_output_fp
const char * | new_progname
static __debug_new_counter | __debug_new_count

## Detailed Description

QxOrm library memory leak detection (by Wu Yongwei)

## Typedef Documentation

typedef unsigned char qx::memory::BYTE

Definition at line 62 of file bool_array.h.

typedef double qx::memory::pctimer_t

Definition at line 48 of file pctimer.h.

## Function Documentation

QX_DLL_EXPORT int qx::memory::check_leaks | ( |  | ) |

QX_DLL_EXPORT int qx::memory::check_mem_corruption | ( |  | ) |

__inline pctimer_t qx::memory::pctimer | ( | void |  | ) |

Definition at line 97 of file pctimer.h.

template<class _Container , class _InputIter >

_Container& qx::memory::set_assign_difference | ( | _Container & | __dest,
|  | _InputIter | __first,
|  | _InputIter | __last
| ) |  |

Definition at line 112 of file set_assign.h.

template<class _Container , class _InputIter , class _Compare >

_Container& qx::memory::set_assign_difference | ( | _Container & | __dest,
|  | _InputIter | __first,
|  | _InputIter | __last,
|  | _Compare | __comp
| ) |  |

Definition at line 134 of file set_assign.h.

template<class _Container , class _InputIter >

_Container& qx::memory::set_assign_union | ( | _Container & | __dest,
|  | _InputIter | __first,
|  | _InputIter | __last
| ) |  |

Definition at line 57 of file set_assign.h.

template<class _Container , class _InputIter , class _Compare >

_Container& qx::memory::set_assign_union | ( | _Container & | __dest,
|  | _InputIter | __first,
|  | _InputIter | __last,
|  | _Compare | __comp
| ) |  |

Definition at line 84 of file set_assign.h.

## Variable Documentation

__debug_new_counter qx::memory::__debug_new_count`[static]`

Counting object for each file including debug_new.h.

Definition at line 212 of file debug_new.h.

bool qx::memory::new_autocheck_flag

FILE* qx::memory::new_output_fp

const char* qx::memory::new_progname

bool qx::memory::new_verbose_flag